#!/usr/local/bin/bash


workdir=/usr/local/share/catseye-fm
home=$HOME


icondir=$workdir
cathome=$home/.catseye
cfgname=catseye_XML_config_file.conf
cfgnamesource=catseye_XML_config_file.conf.sample

echo -e "\nCats'EyE user installation script"
echo -e "\nThis script creates the directory '.catseye' within your home directory and copies the sample configuration file and the icons to it."
echo -e "Already existing files will not be overwritten, so this script does not harm your current configuration file (if there is one)."
read -p "Do you want to proceed? (y|n):" answer

copyIcons()
{
	if [ -d $icondir ];then
		echo -e "Copying icons to your homedirectory."
		
		name=catseye_16x16_NOSHOW.gif
		if [ ! -f $cathome/$name ];then
			cp $icondir/$name $cathome
		fi
		
		name=catseye_48x48.gif
		if [ ! -f $cathome/$name ];then
			cp $icondir/$name $cathome
		fi

		name=catseye_64x64.gif
		if [ ! -f $cathome/$name ];then
			cp $icondir/$name $cathome
		fi

		name=catseye_128x128.gif
		if [ ! -f $cathome/$name ];then
			cp $icondir/$name $cathome
		fi
	
		name=catseye_160x160.gif
		if [ ! -f $cathome/$name ];then
			cp $icondir/$name $cathome
		fi	
	
		name=catseye_128x128.png
		if [ ! -f $cathome/$name ];then
			cp $icondir/$name $cathome
		fi
	
		name=catseye_160x160.png
		if [ ! -f $cathome/$name ];then
			cp $icondir/$name $cathome
		fi	

	else
		echo -e "\033[31mERROR: Source directory for icons of Cat'sEyE not found,\nit should exist in current workdirectory."
		echo -e "\033[39m"
	fi	
}


homedir()
{
	if [ -d $cathome ];then
		echo -e "Homedir found, nothing to do here."
	else
		echo "Homedir of Cat'sEyE not found, I will create it for you..."
		mkdir $cathome
	fi

	if [ -d $cathome ];then
		if [ -f $cathome/$cfgname ];then
			echo -e "You already have a config file. I'll leave it untouched."
		else
			echo "Copying configfile to homedir of Cat'sEyE."
			if [ -f $workdir/$cfgnamesource ];then
				cp $workdir/$cfgnamesource $cathome/$cfgname
			else
				echo -e "\033[31mERROR: Could not find source config file, sorry, are we in the right directory?"
				echo -e "\033[39m"
			fi
		fi
		
		copyIcons
	
	else
		echo -e "\033[31mERROR: Homedir of Cat'sEyE not found, but it should exist at this point."
		echo -e "\033[39m"
	fi
}



if [ $answer = "y" ];then
	echo -e "\nCreating directory ...\n"
	homedir
	echo -e "\n"

else
	echo -e "User aborting.\n"
fi


